port: 7890
socks-port: 7891
allow-lan: true
mode: rule
log-level: warning
external-controller: 127.0.0.1:9090
dns:
  enabled: true
  listen: 0.0.0.0:5353
  ipv6: false
  default-nameserver:
  - 223.5.5.5
  - 119.29.29.29
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
  - https://doh.pub/dns-query
  - https://dns.alidns.com/dns-query
  fallback:
  - tls://1.1.1.1:853
  fallback-filter:
    geoip: true
    ipcidr:
    - 240.0.0.0/4
proxy-groups:
- name: 🚀 高速节点
  type: select
  proxies: []
- name: ♻️ 自动选择
  type: url-test
  url: http://www.gstatic.com/generate_204
  interval: 300
  tolerance: 50
  proxies: &id001
  - 🇸🇬 新加坡NO.1
  - 🇯🇵 日本NO.1
  - 🇮🇳 印度1
  - 🇰🇷 韩国 专线NO1
  - 🇬🇧 英国1
  - 🇺🇸 美国NO.1-GPT
  - 🇫🇷 法国1
  - 🇨🇦 加拿大1
  - 🇦🇺 澳大利亚原生1
- name: 🌍 国外媒体
  type: select
  proxies:
  - 🚀 高速节点
  - ♻️ 自动选择
  - DIRECT
- name: 📲 电报信息
  type: select
  proxies:
  - 🚀 高速节点
  - ♻️ 自动选择
- name: Ⓜ️ 微软服务
  type: select
  proxies:
  - 🚀 高速节点
  - ♻️ 自动选择
  - DIRECT
- name: 🍎 苹果服务
  type: select
  proxies:
  - DIRECT
  - 🚀 高速节点
- name: 🎯 全球直连
  type: select
  proxies:
  - DIRECT
  - 🚀 高速节点
- name: 🛑 全球拦截
  type: select
  proxies:
  - REJECT
  - DIRECT
- name: 🐟 漏网之鱼
  type: select
  proxies:
  - 🚀 高速节点
  - ♻️ 自动选择
  - DIRECT
  - REJECT
- name: 🔰 节点选择
  type: select
  proxies:
  - DIRECT
  - 🇸🇬 新加坡NO.1
  - 🇯🇵 日本NO.1
  - 🇮🇳 印度1
  - 🇰🇷 韩国 专线NO1
  - 🇬🇧 英国1
  - 🇺🇸 美国NO.1-GPT
  - 🇫🇷 法国1
  - 🇨🇦 加拿大1
  - 🇦🇺 澳大利亚原生1
- name: fallback
  type: fallback
  proxies: *id001
  url: http://www.gstatic.com/generate_204
  interval: 300
rules:
- DOMAIN-SUFFIX,google.com,🚀 高速节点
- DOMAIN-SUFFIX,google.com.hk,🚀 高速节点
- DOMAIN-SUFFIX,youtube.com,🚀 高速节点
- DOMAIN-SUFFIX,telegram.org,📲 电报信息
- DOMAIN-SUFFIX,microsoft.com,Ⓜ️ 微软服务
- DOMAIN-SUFFIX,apple.com,🍎 苹果服务
- DOMAIN-SUFFIX,icloud.com,🍎 苹果服务
- DOMAIN-SUFFIX,netflix.com,🌍 国外媒体
- DOMAIN-KEYWORD,facebook,🌍 国外媒体
- DOMAIN-KEYWORD,twitter,🌍 国外媒体
- DOMAIN-KEYWORD,instagram,🌍 国外媒体
- DOMAIN-KEYWORD,porn,🛑 全球拦截
- GEOIP,CN,🎯 全球直连
- MATCH,🐟 漏网之鱼
proxies:
- name: 🇸🇬 新加坡NO.1
  server: haa.dashuai.cyou
  port: 45054
  type: vmess
  uuid: f95ce2cd-b3e9-417c-a2ce-171c73f1d205
  alterId: 0
  cipher: auto
  tls: false
  udp: true
- name: 🇯🇵 日本NO.1
  server: haa.dashuai.cyou
  port: 45056
  type: vmess
  uuid: f95ce2cd-b3e9-417c-a2ce-171c73f1d205
  alterId: 0
  cipher: auto
  tls: false
  udp: true
- name: 🇮🇳 印度1
  server: haa.dashuai.cyou
  port: 45074
  type: vmess
  uuid: f95ce2cd-b3e9-417c-a2ce-171c73f1d205
  alterId: 0
  cipher: auto
  tls: false
  udp: true
- name: 🇰🇷 韩国 专线NO1
  server: haa.dashuai.cyou
  port: 45076
  type: vmess
  uuid: f95ce2cd-b3e9-417c-a2ce-171c73f1d205
  alterId: 0
  cipher: auto
  tls: false
  udp: true
- name: 🇬🇧 英国1
  server: haa.dashuai.cyou
  port: 45066
  type: vmess
  uuid: f95ce2cd-b3e9-417c-a2ce-171c73f1d205
  alterId: 0
  cipher: auto
  tls: false
  udp: true
- name: 🇺🇸 美国NO.1-GPT
  server: haa.dashuai.cyou
  port: 45052
  type: vmess
  uuid: f95ce2cd-b3e9-417c-a2ce-171c73f1d205
  alterId: 0
  cipher: auto
  tls: false
  udp: true
- name: 🇫🇷 法国1
  server: haa.dashuai.cyou
  port: 45072
  type: vmess
  uuid: f95ce2cd-b3e9-417c-a2ce-171c73f1d205
  alterId: 0
  cipher: auto
  tls: false
  udp: true
- name: 🇨🇦 加拿大1
  server: haa.dashuai.cyou
  port: 45064
  type: vmess
  uuid: f95ce2cd-b3e9-417c-a2ce-171c73f1d205
  alterId: 0
  cipher: auto
  tls: false
  udp: true
- name: 🇦🇺 澳大利亚原生1
  server: haa.dashuai.cyou
  port: 45062
  type: vmess
  uuid: f95ce2cd-b3e9-417c-a2ce-171c73f1d205
  alterId: 0
  cipher: auto
  tls: false
  udp: true
